Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Class ReplicationWrapper

    java.lang.Object
      |
      +--org.apache.catalina.cluster.ReplicationWrapper

All Implemented Interfaces:
  java.io.Serializable

public final class ReplicationWrapper
extends java.lang.Object
implements java.io.Serializable

A ReplicationWrapper, used when sending and receiving multicast data, wrapped is the data and the senderId which is used for identification.

Version:
  $Revision: 1.1 $, $Date: 2001/05/04 20:48:02 $
Author:
  Bip Thelin
See Also:
  Serialized Form

Constructor Summary
`ReplicationWrapper(byte[] b, java.lang.String senderId)` Construct a new ReplicationWrapper

Method Summary
`byte[]` | `getDataStream()` return our internal data as a array of bytes
`java.lang.String` | `getSenderId()` get the sender id for this wrapper
`void` | `setSenderId(java.lang.String senderId)` Set the sender id for this wrapper
`void` | `writeTo(java.io.OutputStream out)` Write our stream to the `OutputStream` provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplicationWrapper

    public ReplicationWrapper(byte[] b,
                              java.lang.String senderId)

  Construct a new ReplicationWrapper

Method Detail

### writeTo

    public final void writeTo(java.io.OutputStream out)
                       throws java.io.IOException

  Write our stream to the `OutputStream` provided.

  Parameters:
    `out` - the OutputStream to write this stream to
  Throws:
    `java.io.IOException` - if an input/output error occurs

### getDataStream

    public final byte[] getDataStream()

  return our internal data as a array of bytes

  Returns:
    a our data

### setSenderId

    public final void setSenderId(java.lang.String senderId)

  Set the sender id for this wrapper

  Parameters:
    `senderId` - The sender id

### getSenderId

    public final java.lang.String getSenderId()

  get the sender id for this wrapper

  Returns:
    The sender Id associated with this wrapper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.